function [sol,psucc] = PointToPoint(S,t,T)

nvar = zeros(distances(t)); % how many hops
lb = zeros(nvar,1); % all times must be positive
ub = T * ones(nvar,1); % no time can be larger than deadline T

initialSolution = T/nvar * ones(nvar,1);

options = optimset('Algorithm','sqp');

[sol,psucc,exitflag] = fmincon(@ObjectiveFunction,initialSolution,ones(nvar,1),T,[],[],lb,ub,[],options);

end