function node = SimulateDeploymentSimplified(s,d,solution)

% solution is an array of structs with fields u,v,t meaning t time is spent
% when navigating from u to v

global SFunctionHandle

node = s;

for n = 1:numel(solution)
   
    if rand() > SFunctionHandle(solution(n).t);
        % did not succcessfully reach its desitination
        node = solution(n).source;
        break
    else
        node = solution(n).destination;
    end
end