clc; clear all;

T = 50;

p = randperm(100);
w = p(1:8); % 8 random integer weights
v = 10 * rand(1,8); % 8 random real values
edge1 = struct('w', w, 'v', v); % first edge

p = randperm(100);
w = p(1:12); % 12 random integer weights
v = 10 * rand(1,12); % 12 random real values
edge2 = struct('w', w, 'v', v); % second edge

p = randperm(100);
w = p(1:6); % 6 random integer weights
v = 10 * rand(1,6); % 6 random real values
edge3 = struct('w', w, 'v', v); % third edge

edges = {edge1,edge2,edge3};

instance = struct('T', T,'edges',{edges}); % n_edges is implicit (remember the parentheses)