function [distances,parent] = Dijkstra(A,s)

n = size(A,1);
distances = 10^6*ones(1,n);
distances(s) = 0;
parent  = -1 * ones(1,n);
visited = zeros(1,n);
visited(s) = 1;

Q = s;

while numel(Q)>0
   
    current = Q(1);
    Q = Q(2:end);
    for i = 1:n
        if ( A(current,i)==1 ) && ( visited(i)== 0) && (distances(i) > ( distances(current) + 1) )
            distances(i) = distances(current) + 1;
            parent(i) = current;
            visited(i) = 1;
            Q(end+1) = i;
        end
    end
    
end