function node = SimulateDeployment(s,d,solution,params,lookup)

% solution is an array of structs with fields u,v,t meaning t time is spent
% when navigating from u to v

global SFunctionHandle

node = s;

for n = 1:numel(solution)
   
    position = lookup(solution{n}.source,solution{n}.destination);
    if rand() > SFunctionHandle(solution{n}.t,params(position,1),params(position,2));
        % did not succcessfully reach its desitination
        node = solution{n}.source;
        break
    else
        node = solution{n}.destination;
    end
end